import { PaymentMethod } from '../../../../types';
export declare class ScPaymentMethodsList {
  el: HTMLScPaymentMethodsListElement;
  /** Query to fetch paymentMethods */
  query: object;
  heading: string;
  paymentMethods: Array<PaymentMethod>;
  /** Loading state */
  loading: boolean;
  busy: boolean;
  /** Error message */
  error: string;
  /** Does this have a title slot */
  hasTitleSlot: boolean;
  /** Only fetch if visible */
  componentWillLoad(): void;
  handleSlotChange(): void;
  deleteMethod(method: PaymentMethod): Promise<void>;
  setDefault(method: PaymentMethod): Promise<void>;
  /** Get all paymentMethods */
  getPaymentMethods(): Promise<void>;
  renderLoading(): any;
  renderEmpty(): any;
  renderList(): any[];
  renderContent(): any;
  render(): any;
}
